Bug 849841 - Caught "Cartridge Could not add job 'spring-build' in Jenkins server: " error when enable jenkins for application sometimes.
Caught "Cartridge Could not add job 'spring-build' in Jenkins server: " error...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 01:40 EDT by Yujie Zhang
Modified: 2015-05-14 19:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:53:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-08-21 01:40:58 EDT
Description of problem:

After I created an application , I clicked the "Enable Jenkins builds" button on the application details page, then I caught "Cartridge Could not add job .... in Jenkins server:" error.

Version-Release number of selected component (if applicable):

INT

How reproducible:always


Steps to Reproduce:
1.Go to openshift and login
2.Create an application 
3.Click the "Enable Jenkins builds" button on the application details page
  
Actual results:

Caught "Cartridge Could not add job .... in Jenkins server:" error.

Expected results:

The jenkins should be enabled and the job should be added to jenkins successfully.

Additional info:
Comment 1 Yujie Zhang 2012-08-21 01:50:37 EDT
It worked on mgao's machine, so change it to randomly bug and lower it's priority.
Comment 2 Clayton Coleman 2012-08-21 09:37:01 EDT
Client is simply displaying whatever the cartridge returns as a failure.
Comment 3 Bill DeCoste 2012-08-23 16:45:24 EDT
I'm unable to recreate this problem in prod or dev. The Jenkins client is always attached successfully. Could you please recreate and attach the corresponding jenkins log?
Comment 4 Dan McPherson 2013-07-22 14:40:05 EDT
Is this still an issue?
Comment 5 Yujie Zhang 2013-07-23 02:33:16 EDT
Tested on devenv_3540, enabled jenkins for application, this issue does not exist now, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.